Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449650 - dev-python/guessit-0.5.3.ebuild - GuessIt - a library for guessing information from video files.
Summary: dev-python/guessit-0.5.3.ebuild - GuessIt - a library for guessing informatio...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords: EBUILD
Depends on: 449648
Blocks: 449652 449654
  Show dependency tree
 
Reported: 2013-01-01 14:21 UTC by daktak
Modified: 2013-04-24 07:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
guessit-0.5.3.ebuild (guessit-0.5.3.ebuild,621 bytes, text/plain)
2013-01-01 14:22 UTC, daktak
Details
guessit-0.5.3.ebuild (guessit-0.5.3.ebuild,606 bytes, text/plain)
2013-01-22 00:48 UTC, daktak
Details
guessit-0.5.4.ebuild (guessit-0.5.4.ebuild,715 bytes, text/plain)
2013-04-16 11:11 UTC, Nikoli
Details
live ebuild (guessit-9999.ebuild,684 bytes, text/plain)
2013-04-16 11:11 UTC, Nikoli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description daktak 2013-01-01 14:21:26 UTC
GuessIt - a library for guessing information from video files.

Reproducible: Always
Comment 1 daktak 2013-01-01 14:22:03 UTC
Created attachment 333938 [details]
guessit-0.5.3.ebuild
Comment 2 Ian Delaney (RETIRED) gentoo-dev 2013-01-12 06:45:38 UTC
~/improvise/dev-python/guess-language $ ls
/mnt/gen2/TmpDir/portage/dev-python/guess-language-0.2/work/guess-language-0.2/guess_language/
blocks.py       Blocks.txt         guess_language_test.py  trigrams
blocks_test.py  guess_language.py  __init__.py

NOTE  2 test files, curiously not separated from their counterparts, not addressed in the automatically generated ebuild. Other than that it's very close to good to go.

To upgrade the ebuild, you have the options of seeking support either via sunrise or, more directly, via gentoo-python in irc.  You will also need to put a case to the python lead that it's addition to portage is warranted
Comment 3 daktak 2013-01-22 00:48:17 UTC
Created attachment 336414 [details]
guessit-0.5.3.ebuild

changed to distutils-r1
Comment 4 Ian Delaney (RETIRED) gentoo-dev 2013-02-07 15:04:01 UTC
inherit distutils-r1

good

IUSE="+language_detection"

very not good.  A use flag is used to direct the build come final state of a package.  For this IUSE assignment to hold, it's saying make the global use flag mandatory for this package.  language_detection as you must know is a package, meaning you have another ebuild to write.

from setup.py, a distutils module creature, 

 extras_require = { 'language_detection':  ['guess-language>=0.2'] 

basically means they are run time dependencies..

But you're doing ok. keep it up
Comment 5 Nikoli 2013-04-16 11:11:30 UTC
Created attachment 345674 [details]
guessit-0.5.4.ebuild
Comment 6 Nikoli 2013-04-16 11:11:46 UTC
Created attachment 345676 [details]
live ebuild
Comment 7 Nikoli 2013-04-16 11:14:17 UTC
I think supporting guess-language is pointless until subliminal supports python3.
Comment 8 Nikoli 2013-04-17 05:11:40 UTC
There is problem with tests, what do you think about this upstream comment https://github.com/wackou/guessit/issues/30#issuecomment-16465999 ? Is using dev-python/fabric for tests fine?
Comment 9 Nikoli 2013-04-19 21:23:29 UTC
Tests are fixed upstream in git, but version with this fix is not released yet.
Comment 10 Maxim Koltsov gentoo-dev 2013-04-24 07:00:09 UTC
Commited to tree w/o guess-language support. Thanks.